Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041034
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajorhave not tried2019-06-05 16:432019-06-07 08:01
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR19Q2.1
StatusclosedFix in branchFixed in SCM revision36c7590bae0a
ProjectionnoneETAnoneTarget Version3.0PR19Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2019-01-08
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/90c48060859cc70935add00e77e8065dedb197cc [^]
Triggers an Emergency PackNo
Summary

0041034: ImportEntryPreProcessors with qualifiers are not executed

DescriptionImportEntryPreProcessors with qualifiers are not executed
Steps To Reproduce1) Apply the attached patch, it contains a test case that assumes thatImportEntryPreProcessors are executed
 
2) Run the test. It fails. Note that the TestImportEntryPreProcessor is not executed.

3) Remove the Qualifier annotation from the TestImportEntryPreProcessor class and rerun the test. Note that now it works.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0041033 closedcaristu ImportEntryPreProcessors with qualifiers are not executed 

-  Notes
(0112461)
hgbot (developer)
2019-06-06 11:09

Repository: erp/backports/3.0PR19Q2.1
Changeset: 36c7590bae0a74456de885458b154120c4703729
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 06 10:34:38 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/36c7590bae0a74456de885458b154120c4703729 [^]

fixes bug 41034: ImportEntryPreProcessors with qualifiers are not executed

  As part of the refactor to provide the ImportEntryBuilder[1], the injection of the import entry preprocessors was changed. As the instances of that class are created outside of the Weld scope, the preprocessors are injected using "WeldUtils.getInstances()" method instead of using @Inject.

  The problem here is that "WeldUtils.getInstances()" looked for all beans of an specific type that does not have a qualifier. For this reason, import entry preprocessors with qualifiers were not being found and, therefore, not executed by the ImportEntryBuilder before creating the import entry.

  To fix this problem now "WeldUtils.getInstances()" has been changed in order to look for any bean of a particular type (regardless of whether it is qualified or not). This is done by specifying the @Any qualifier to the "BeanManager.getBeans()" method.

  Thus, now WeldUtils.getInstances() behaves exactly in the same way as when using @Inject together with @Any when we are inside the scope of Weld.

 [1] https://code.openbravo.com/erp/devel/pi/rev/90c48060859cc70935add00e77e8065dedb197cc [^]

---
M modules/org.openbravo.base.weld/src/org/openbravo/base/weld/WeldUtils.java
---
(0112497)
alostale (developer)
2019-06-07 08:01

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-06-05 16:50 caristu Type defect => backport
2019-06-05 16:50 caristu Target Version => 3.0PR19Q2.1
2019-06-06 11:09 hgbot Checkin
2019-06-06 11:09 hgbot Note Added: 0112461
2019-06-06 11:09 hgbot Status scheduled => resolved
2019-06-06 11:09 hgbot Resolution open => fixed
2019-06-06 11:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/36c7590bae0a74456de885458b154120c4703729 [^]
2019-06-06 11:09 caristu Review Assigned To => alostale
2019-06-06 13:03 caristu Assigned To platform => caristu
2019-06-07 08:01 alostale Note Added: 0112497
2019-06-07 08:01 alostale Status resolved => closed
2019-06-07 08:01 alostale Fixed in Version => 3.0PR19Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker